<?php
/**
 * Template part pour afficher le slider général, en page d'accueil et en page Le Pays
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package aaa
 */

?>

<!-- Le slider d'actus définitif -->		
<div id="slider">
		
   <div id="prevSlide">
      <img src="<?php echo get_stylesheet_directory_uri(); ?>/design/fleche-gauche.svg" alt="" onerror="this.removeAttribute('onerror'); this.src='<?php echo get_stylesheet_directory_uri(); ?>/design/fleche-gauche.png'"/>
   </div>
    <div id="slider-window">
		 <ul id="slides">
			<?php
			// 1. on définit ce que l'on veut
            $args = array(
            'post_type' => 'post',
            'tag' => 'en-page-accueil',
            'posts_per_page' => 7,
             );

            // 2. on exécute la query
           $my_query = new WP_Query($args);

           // 3. on lance la boucle !
           if($my_query->have_posts()) : while ($my_query->have_posts() ) : $my_query->the_post();
           ?>
           <li>
             <?php $pierreimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "large" ); ?>
			 
			   		   
             <!-- Le rectangle -->
			   
			   <?php 
			   
			      if (in_category('patrimoine')) {
	                echo'<div id="rectangle" class="bkg-patrimoine">';
			      }
			      elseif (in_category('pays-de-morlais')) {
				    echo'<div id="rectangle" class="bkg-pays">';	
				  }
				  elseif (in_category('numerique')) {
				    echo'<div id="rectangle" class="bkg-numerique">';	
				  }
			      elseif (in_category('innovation')) {
				    echo'<div id="rectangle" class="bkg-innovation">';	
				  }
			      elseif (in_category('eau')) {
				    echo'<div id="rectangle" class="bkg-eau">';	
				  }
			      elseif (in_category('financements')) {
				    echo'<div id="rectangle" class="bkg-financements">';	
				  }
			      elseif (in_category('sante')) {
				    echo'<div id="rectangle" class="bkg-sante">';	
				  }
			      elseif (in_category('cadre_de_vie')) {
				    echo'<div id="rectangle" class="bkg-cadredevie">';	
				  }
			      elseif (in_category('emploi_formation')) {
				    echo'<div id="rectangle" class="bkg-emploiformation">';	
				  }
			      elseif (in_category('urbanisme')) {
				    echo'<div id="rectangle" class="bkg-urbanisme">';	
				  }
			      else {
				    echo'<div id="rectangle">';
			      }
	             echo '</div><!-- ferme div rectangle-->';	
	             ?>
             <!-- fin du rectangle --> 
			   
			   
			   
			 <div class="slide-actus-image" style="background-image: url('<?php echo $pierreimage[0]; ?>')">
             </div><!-- .slide-actus-image -->

             <div class="slide-actu-texte">
                <h2 class="surtitre">Actualités</h2>
                <?php $category = get_the_category(); ?>
			    <h3><a href="<?php the_permalink() ?>"><?php echo $category[0]->cat_name; ?></a></h3>  
                <h4><?php the_title(); ?></h4>
				 <a class="savoirplus" href="<?php the_permalink() ?>">en savoir +</a>
             </div><!-- slide-actu-texte -->     
            </li>   
          <?php    
          endwhile;
          endif;
          // 4. On réinitialise à la requête principale (important)
          wp_reset_postdata();
          
			?>
		 </ul> <!-- #slides -->
	</div><!-- #slider-window-->		
	
	<div id="nextSlide">
      <img src="<?php echo get_stylesheet_directory_uri(); ?>/design/fleche-droite.svg" alt="" onerror="this.removeAttribute('onerror'); this.src='<?php echo get_stylesheet_directory_uri(); ?>/design/fleche-droite.png'"/>
      </div>

</div> <!-- #slider -->	
<div style="clear:both;">&nbsp;</div>	

<!-- FIN Le slider d'actus définitif -->	